<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>


<HTML>
<head>
		<title><%= resTit.getString("titRelSeguros")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_SEGUROS%>";
			detActual = '<%=resCM.getString("cmRelSeguros")%>';
			rutaCabecera = "";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
		<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="FormRelSeguros" METHOD="POST">
					 <TABLE class="general">
					    <tr>
   					    <td width="90%" align="right"> 
   					    	<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
   					    </td> 
					    <td align="right"> 
					    	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo('');" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
					    </td>
						</tr>
					 </TABLE>
					 <p>
	   				 <TABLE class="general">
					    <tr > 
					       <td class="searchTitle" width="10%"><%= res.getString("etNum")%></td>
					       <td class="searchTitle" width="40%"><%= res.getString("etCia")%></td>
					   	   <td class="searchTitle" width="20%"><%= res.getString("etPoliza")%></td>
					       <td class="searchTitle" width="30%"><%= res.getString("etModalidad")%></td>
					    </tr>
					 </TABLE>
					<%
							int contador = 0;
						String sql = "", sql2 = "";
						String codigo="", modalidad="", cia="", direccion="", telefono="", poliza="";
                        java.sql.Connection conn=null;
                        PreparedStatement pstmt = null;
                        ResultSet rs = null;
						m05bComun mComun = new m05bComun();

					try{
						session.removeAttribute("Seguro");
						codigo = request.getParameter("Codigo");
						if ((codigo == null) || (!(codigo.equals("Nuevo")))) { 
						   if (codigo != null)
						   		codigo = codigo.toUpperCase();
						   cia = request.getParameter("Cia");
					   	   if (cia != null)
						   		cia = cia.toUpperCase();
						}

						sql =   "select COD_SEG_28, CIA_28, DIREC_28, TELEF_28, POLIZA_28,NVL("+campoTexto+"DESCRIP_99,DESCRIP_99) from M0528T00, M0599T00";
						
						if ( (codigo == null) || (codigo.equals("") ))
							sql2 = sql2;
						else{	
							codigo = "%" + codigo + "%";
							sql2 = sql2 + " where COD_SEG_28 like ? ";
						}
						if ( (cia == null) || (cia.equals("")))
							sql2 = sql2;
						else{
							cia = '%' + cia + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where CIA_28 like ? ";
						 	else
						 		sql2 = sql2 + " and CIA_28 like ? ";
						}

						if ( (poliza == null) || (poliza.equals("")))
							sql2 = sql2;
						else{
							poliza = '%' + poliza + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where POLIZA_28 like ? ";
						 	else
						 		sql2 = sql2 + " and POLIZA_28 like ? ";
						}
						if ( (modalidad == null) || (modalidad.equals("")))
							sql2 = sql2;
						else{
							modalidad = '%' + modalidad + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where MODAL_28 like ? ";
						 	else
						 		sql2 = sql2 + " and MODAL_28 like ? ";

						}
						if (sql2.equals(""))
									sql = sql + sql2 + 
								" where MODAL_28 = COD_DESC_99(+) and COD_TAB_99(+) = '8'  order by COD_SEG_28";
						else
							sql = sql + sql2 + 
								" and MODAL_28 = COD_DESC_99(+) and COD_TAB_99(+) = '8'  order by COD_SEG_28";
						
					    //m05bbBeginSelect(sql);
		                m05bConexion miConex = new m05bConexion();
                        conn = miConex.getConnection();
                        conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		                pstmt = conn.prepareStatement(sql);
	        
						if ((codigo == null) || (codigo.equals(""))  )
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, codigo);
						}
						if ( (cia == null) || (cia.equals("")) )
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, cia);
						}

						if ( (poliza == null) || (poliza.equals("")) )
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, poliza);
						}
						if ( (modalidad == null) || (modalidad.equals("")) )
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, modalidad);
						}


						//m05bRS = m05bPStmt.executeQuery();
						rs = pstmt.executeQuery();			
						contador=0;
					%>
						<TABLE class="general">
					<%
						while (rs.next() == true){
							codigo = rs.getString("COD_SEG_28");
							cia= rs.getString("CIA_28");
							if (cia == null)
								cia = "";
							poliza= rs.getString("POLIZA_28");
							if (poliza == null)
								poliza = "";
							modalidad= rs.getString(6);
							if (modalidad == null)
								modalidad = "";
							contador = contador + 1;  %>
							<tr>
							   <td class="inputFieldTitle" width="10%"><FONT size=2><A href="JavaScript:fncModificar('<%=codigo%>')"><%=codigo%></A></FONT></td>
					   		   <td class="inputFieldTitle" width="40%"><FONT size=2><%=cia%></FONT></td>
					   		   <td class="inputFieldTitle" width="20%"><FONT size=2><%=poliza%></FONT></td>
							   <td class="inputFieldTitle" width="30%"><FONT size=2><%=modalidad%></FONT></td>
							</tr>
					<%}%>
							<tr></tr>
						    <tr align="center">
								    <td class="inputField" colspan="4"><%= res.getString("etTotal")%> <%=contador%></td>
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language="JavaScript">
	function fncModificar(codigo) {
		var docu = document.FormRelSeguros;
        docu.action="m05bGenerarSeguroServlet?Codigo=" + codigo + "&Mensaje=false";
        docu.submit();
    }  // fun funcion fncModificar

	function fncImprimir() {
		var docu = document.FormRelSeguros;
    	docu.action="m05bSegurosPDFJsp.jsp";
    	docu.submit();
    }  // fun funcion fncModificar

	function fncNuevo() {
		var docu = document.FormRelSeguros;
	    docu.action="m05bSegurosJsp.jsp?Codigo="+<%=Integer.parseInt(codigo)+1%>+"&Mensaje=false&Accion=I";
	    docu.submit();
	}  // fun funcion fncModificar

    setTimeout('initSlide();', 1);
</SCRIPT>
<%
} catch (Exception SQLException) {
	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
	miLog.addTraza(SQLException);
} finally {
		//m05bEndSelect();
		if (rs != null)
		    rs.close();
		if (pstmt != null)
		    pstmt.close();
		if (conn != null)
		    conn.close();

		
}%>
</BODY>
</HTML>